| Qore MysqlSqlUtil Module Reference 1.4.2

Public Member Functions | List of all members
MysqlSqlUtil::MysqlForeignConstraint Class Reference

represents a MySQL-specific foreign constraint More...

Inherits AbstractForeignConstraint.

## Public Member Functions
string | getDropSql (string table_name)
| returns a string that can be used to drop the foreign constraint from the database
softlist | getRenameSql (string table_name, string new_name)
| returns a string that drops the constraint and re-adds it, since MySQL does not support renaming constraints

## Detailed Description

represents a MySQL-specific foreign constraint